Subject: Decouple w3m from xdg-utils test suite

From: Leo Famulari <[email-masked]>
Date: Thu, 2 Feb 2023 12:32:10 +0100

This patch series decouples w3m from the test suite of xdg-utils, which
is useful because of xdg-utils large reverse dependency graph.

By making this change, we will be able to update w3m more conveniently,
rather than waiting for a core-updates / staging cycle, or a feature
branch.